%define	upstream_name	 Gnome2-Vte
%define	upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl binding for the vte widget
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.10.0
BuildRequires: perl(Gtk2) >= 1.0.0
BuildRequires: perl-Glib => 1.00
BuildRequires: perl-Gtk2
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-devel
BuildRequires: vte-devel => 0.11.10
BuildRequires: x11-server-xvfb
Conflicts:	drakxtools < 9.1-15mdk
Requires:   perl-Glib >= 1.00
%description
This module provides perl access to vte libraries.

VTE is an experimental terminal emulator widget for use with GTK+ 2.:.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# (tv) disabled b/c of "Xlib:  extension "RANDR" missing on display ":99.0"."
#xvfb-run %make test

%install
%makeinstall_std

%files
%defattr(-, root, root)
%doc LICENSE META.json META.yml MYMETA.yml NEWS README
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/*
%{perl_vendorarch}/auto/Gnome2/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-3.mga3
+ Revision: 367814
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.100.0-2.mga3
+ Revision: 250671
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 219723
- update to 0.10

* Mon Sep 05 2011 fwang <fwang> 0.90.0-4.mga2
+ Revision: 138581
- rebuild for updated perl build flags

* Sun Jun 12 2011 ahmad <ahmad> 0.90.0-3.mga2
+ Revision: 104532
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.90.0-2.mga1
+ Revision: 36272
- mageia rebuild
- imported package perl-Gnome2-Vte

